Subject: Re: bug#64163: 29.0.92; Syntactic errors in early init when --debug-init is on

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Jun 2023 16:29:45 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 20 Jun 2023 13:07:46 -0400
> 
> >> IOW `--debug-init` should be the one that sets `debug-ignored-errors` to
> >> nil
> >
> > So you are saying it should be condition on init-file-debug being
> > non-nil?
> 
> Yup.

Thanks, now done on the master branch.

> > Incidentally, do you happen to know the difference between that
> > variable having the value t and 'startup'?
> 
> I'm not familiar with this code, no.
> 
> AFAICT, `startup` is a special value for `debug-on-error-initial` rather
> than for `init-file-debug`.
> 
> I expect this is intended to be a value to which noone would set
> `debug-on-error`, tho it would make sense to use a more verbose/unlikely
> value, both to better detect user settings of `debug-on-error` and to
> help document the code.
> 
> Maybe something like the patch below (I also renamed the local
> variables so they don't look like global variables).

You know me: I'm not a big fan of renaming, unless really necessary...